Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617445 - errors with minimal install
errors with minimal install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Neil Horman
Chao Ye
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 23:48 EDT by Qian Cai
Modified: 2011-01-11 04:30 EST (History)
3 users (show)

See Also:
Fixed In Version: kexec-tools-2.0.0-128
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:00:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch to add missing depends (714 bytes, patch)
2010-07-23 06:51 EDT, Neil Horman
no flags Details | Diff
correct spec file patch (1.28 KB, patch)
2010-07-23 06:54 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Qian Cai 2010-07-22 23:48:31 EDT
Description of problem:
mkdumprd makes assumption that all the commands it needed are present in the system without make those required in the rpm spec. After installed from the minimal install and then install kexec-tools alone, the mkdumprd could generate wrong logic due missing of several utilities.

# service  kdump restart
Stopping kdump:                                            [  OK  ]
No kdump initial ramdisk found.                            [WARNING]
Rebuilding /boot/initrd-2.6.32-52.el6.x86_64kdump.img
cp: cannot stat `/sbin/mdadm': No such file or directory
cp: cannot stat `/sbin/kpartx': No such file or directory
/etc/init.d/kdump: line 209: dc: command not found
/etc/init.d/kdump: line 212: dc: command not found
/etc/init.d/kdump: line 219: [: 101496: unary operator expected
Starting kdump:

Version-Release number of selected component (if applicable):
kexec-tools-2.0.0-116.el6

How reproducible:
always
Comment 1 Neil Horman 2010-07-23 06:51:45 EDT
Created attachment 433916 [details]
spec file patch to add missing depends
Comment 2 Neil Horman 2010-07-23 06:54:29 EDT
Created attachment 433918 [details]
correct spec file patch
Comment 3 Neil Horman 2010-07-23 06:55:10 EDT
Here you go, please try installing with this rpm:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2620470

it should pull in the missing depends
Comment 4 Han Pingtian 2010-07-25 20:22:59 EDT
The problem has been fixed with the testing RPM.
Comment 6 Chao Ye 2010-08-11 22:32:45 EDT
Reproduced with RHEL6.0-20100722.0, kernel-2.6.32-52.el6, kexec-tools-2.0.0-116.el6:
================================================================================
[root@ibm-x3655-05 ~]# service kdump restart
Stopping kdump:                                            [  OK  ]
Detected change(s) the following file(s):
  
  /etc/kdump.conf
Rebuilding /boot/initrd-2.6.32-52.el6.x86_64kdump.img
cp: cannot stat `/sbin/mdadm': No such file or directory
cp: cannot stat `/sbin/kpartx': No such file or directory
/etc/init.d/kdump: line 209: dc: command not found
/etc/init.d/kdump: line 212: dc: command not found
/etc/init.d/kdump: line 219: [: 646900: unary operator expected
Starting kdump:
......

Verified with RHEL6.0-20100807.0, kernel-2.6.32-59.el6, kexec-tools-2.0.0-133.el6:
================================================================================
Comment 7 releng-rhel@redhat.com 2010-11-10 16:00:44 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.